com.corticon.service.ccdeploy.exception

## Class CcDeployInvalidDecisionServiceException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.corticon.CcException
      - - com.corticon.service.ccdeploy.exception.CcDeployException
        - - com.corticon.service.ccdeploy.exception.CcDeployInvalidDecisionServiceException

- All Implemented Interfaces:
    ICcException, java.io.Serializable

      public class CcDeployInvalidDecisionServiceException
      extends CcDeployException
      implements java.io.Serializable

  `CcDeployInvalidDecisionServiceException` is thrown if there is an attempt to load a Decision Service file that is not in a deployable state. There can be many reasons for this. For example, if the .class files are missing, or the .ccd file is missing, or the .cnc file is missing, etc.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.corticon.CcException

      `iparentException, istrCallingObjectClassName, istrCallingObjectToString`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CcDeployInvalidDecisionServiceException()`
    `CcDeployInvalidDecisionServiceException(java.lang.Exception aparentException, java.lang.Object aobject)`
    `CcDeployInvalidDecisionServiceException(java.lang.Exception aparentException, java.lang.String astrMessage)`
    `CcDeployInvalidDecisionServiceException(java.lang.Exception aparentException, java.lang.String astrMessage, java.lang.Object aobject)`
    `CcDeployInvalidDecisionServiceException(java.lang.String astrMessage)`
    `CcDeployInvalidDecisionServiceException(java.lang.String astrMessage, java.lang.Object aobject)`

  - ### Method Summary

    - ### Methods inherited from class com.corticon.CcException

      `getContainedException, getMessages, getStackTraceAsString, main, printStackTrace, printStackTrace, printStackTrace, toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CcDeployInvalidDecisionServiceException

          public CcDeployInvalidDecisionServiceException()

    - #### CcDeployInvalidDecisionServiceException

          public CcDeployInvalidDecisionServiceException(java.lang.String astrMessage)

    - #### CcDeployInvalidDecisionServiceException

          public CcDeployInvalidDecisionServiceException(java.lang.String astrMessage,
                                                 java.lang.Object aobject)

    - #### CcDeployInvalidDecisionServiceException

          public CcDeployInvalidDecisionServiceException(java.lang.Exception aparentException,
                                                 java.lang.String astrMessage)

    - #### CcDeployInvalidDecisionServiceException

          public CcDeployInvalidDecisionServiceException(java.lang.Exception aparentException,
                                                 java.lang.Object aobject)

    - #### CcDeployInvalidDecisionServiceException

          public CcDeployInvalidDecisionServiceException(java.lang.Exception aparentException,
                                                 java.lang.String astrMessage,
                                                 java.lang.Object aobject)

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.